<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */
echo '<title>Обменник</title>';
define('_IN_JOHNCMS', 1);
require('incfiles/core.php');
require('incfiles/head.php');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
    require('incfiles/end.php');
    exit;
}
$shop = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'minobm' LIMIT 1"));
$minrub = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'minrub' LIMIT 1"));

$vipl = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'ballc' LIMIT 1"));
$vipl2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `cms_settings` WHERE `key` = 'ballc2' LIMIT 1"));

$time = time();
	
if (isset($_POST['cena'])){
	$platact=intval($_POST['platact']);
   $cena=intval($_POST['cena']);
   
   if (empty($cena)){
  echo functions::display_error('Пустое значение');
  require_once('incfiles/end.php');
   exit;
}
   
   if ($platact==1){ if ($cena<$shop['val']){
  echo functions::display_error('Значение меньше минимальной суммы');
  require_once('incfiles/end.php');
   exit;
}}

   if ($platact==0){ if ($cena<$minrub['val']){
  echo functions::display_error('Значение меньше минимальной суммы');
  require_once('incfiles/end.php');
   exit;
}}

   if ($platact==1){ if ($user['balls']<$cena){
  echo functions::display_error('Не достаточно баллов');
  require_once('incfiles/end.php');
   exit;
}  }
    if ($platact==0){ if ($user['balans']<$cena){
  echo functions::display_error('Не достаточно денег');
  require_once('incfiles/end.php');
   exit;
}}
   $url= "/obmen.php";
 if (!$error){
	   if ($platact==1){
		  // $cena баллы
	$op = $cena * $vipl['val'];
 mysql_query("UPDATE `users` SET `balls` = '".($user['balls']-$cena)." ' WHERE `id` = '$user[id]' LIMIT 1");
  mysql_query("UPDATE `users` SET `balans` = '".($user['balans']+$op)." ' WHERE `id` = '$user[id]' LIMIT 1");
 //mysql_query("INSERT INTO `out_money` SET `id_user` = '$user[id]', `rub` = '$cena', `wmr` = '$user[qiwi]', `tip` = '2', `time` = '$time'");
echo'<div class="alert alert-success" role="alert">Успешно</div>';
 echo '<script type="text/javascript">'; 
echo 'window.location.href="'.$url.'";'; 
echo '</script>'; 
 exit;
	   }
	    if ($platact==0){
			
			  // $cena рубли
	   $op = $cena / $vipl2['val'];
 mysql_query("UPDATE `users` SET `balls` = '".($user['balls']+$op)." ' WHERE `id` = '$user[id]' LIMIT 1");
  mysql_query("UPDATE `users` SET `balans` = '".($user['balans']-$cena)." ' WHERE `id` = '$user[id]' LIMIT 1");
 //mysql_query("INSERT INTO `out_money` SET `id_user` = '$user[id]', `rub` = '$cena', `wmr` = '$user[qiwi]', `tip` = '2', `time` = '$time'");
echo'<div class="alert alert-success" role="alert">Успешно</div>';
echo '<script type="text/javascript">'; 
echo 'window.location.href="'.$url.'";'; 
echo '</script>'; 
 exit;
}
	  }
  
}

$textl = htmlspecialchars($user['name']);

echo'<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . $lng['profile'] . '</b></a> | Обменник</div>' .
    '<div class="user"><p>' . functions::display_user($user, array('iphide' => 1,)) . '</p></div>';
    

	echo '<div class="gmenu"><p>Баллов: <span class="badge">' . $user['balls'] . '</span></p><p>Рублей: <span class="badge">' . $user['balans'] . '</span></p>
	';
	echo '<p>Минимальная сумма обмена баллов на рубли: <span class="badge">' . $shop['val'] . '</span> баллов</p>
	';
	echo '<p>Минимальная сумма обмена рублей на баллы: <span class="badge">' . $minrub['val'] . '</span> рублей</p>
	';
echo '</div>';
echo '<div class="user"><p><strong>Курс</strong></p>
<p>Продажа баллов. Цена за один балл <span class="badge">' . $vipl['val'] . '</span> рублей</p>
<p>Покупка баллов. Цена за один балл <span class="badge">' . $vipl2['val'] . '</span> рублей</p>
</div>';


	echo '<div class="menu">';
	 echo "<form action='/obmen.php?' method=\"post\">";

echo '<p>' .
        '<input type="radio" value="1" name="platact" ' . ($set['platact'] == '1' ? 'checked="checked"' : '') . '/>&#160;Баллы на рубли<br />' .
        '<input type="radio" value="0" name="platact" ' . ($set['platact'] == '0' ? 'checked="checked"' : '') . '/>&#160;Рубли на баллы' .
        '</p>';

echo "<input  placeholder = 'Введите сумму' type='text' name='cena' />\n";

echo "<input class=\"knopka\" type=\"submit\" value=\"Обменять\" />\n";
echo "</form></div>"; 
	
		     
		

   require('incfiles/end.php');